darcs

Darcs.Witnesses.WZipper

# Documentation

data FZipper a where

Constructors

FZipper :: RL a -> FL a -> FZipper a |

focus :: FZipper a -> Maybe (Sealed2 a)

leftmost :: FZipper p -> Bool

left :: FZipper p -> FZipper p

rightmost :: FZipper p -> Bool

right :: FZipper p -> FZipper p

jokers :: FZipper a -> FlippedSeal (FL a)

clowns :: FZipper a -> Sealed (RL a)

flToZipper :: FL a -> FZipper a

lengthFZ :: FZipper a -> Int

nullFZ :: FZipper a -> Bool

toEnd :: FZipper p -> FZipper p